import AmosEnum from 'amos-processor/lib/enum/AmosEnum';

const defaultOpts = {
  ignoreCase: true
};

/**
 * 数据类型枚举
 */
export const dataTypeEnum = new AmosEnum({
  'int': 1,
  'float': 2,
  'boolean': 3,
  'enum': 4,
  'string': 5,
  'password': 6
}, defaultOpts);

/**
 * 分类枚举
 */
export const classifyEnum = new AmosEnum({
  'variable': 1,
  'constant': 2,
  'label': 3
}, defaultOpts);
